Bug 21435 - Switch two-column templates to Bootstrap grid: Tools part 3
Summary: Switch two-column templates to Bootstrap grid: Tools part 3
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-09-27 14:32 UTC by Owen Leonard
Modified: 2019-10-14 19:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21435: Update two-column templates with Bootstrap grid: Tools part 3 (13.16 KB, patch)
2018-09-27 14:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21435: Update two-column templates with Bootstrap grid: Tools part 3 (13.22 KB, patch)
2018-10-12 12:27 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 21435: Update two-column templates with Bootstrap grid: Tools part 3 (13.28 KB, patch)
2018-10-14 10:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-09-27 14:32:54 UTC
These two-column tools templates can be updated to use the Bootstrap grid.

 - tools/marc_modification_templates.tt
 - tools/modborrowers.tt
 - tools/overduerules.tt
 - tools/picture-upload.tt
 - tools/quotes-upload.tt
 - tools/quotes.tt
Comment 1 Owen Leonard 2018-09-27 14:51:29 UTC
Created attachment 79520 [details] [review]
Bug 21435: Update two-column templates with Bootstrap grid: Tools part 3

This patch modifies several tools templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> MARC modification templates
   - View and edit templates
 - Tools -> Batch patron modification
   - Test each step of the process
 - Tools -> Overdue notice/status triggers
 - Tools -> Upload patron images
   - Test each step of the upload process
 - Tools -> Quote editor
   -> Quote uploader
     - Import quotes
Comment 2 Claire Gravely 2018-10-12 12:27:06 UTC
Created attachment 80469 [details] [review]
Bug 21435: Update two-column templates with Bootstrap grid: Tools part 3

This patch modifies several tools templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> MARC modification templates
   - View and edit templates
 - Tools -> Batch patron modification
   - Test each step of the process
 - Tools -> Overdue notice/status triggers
 - Tools -> Upload patron images
   - Test each step of the upload process
 - Tools -> Quote editor
   -> Quote uploader
     - Import quotes

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-10-14 10:18:45 UTC
Created attachment 80584 [details] [review]
Bug 21435: Update two-column templates with Bootstrap grid: Tools part 3

This patch modifies several tools templates to use the
Bootstrap grid instead of YUI.

This patch also removes obsolete "text/javascript" attributes from
<script> tags and "text/css" attributes from <style> tags in the
modified templates.

To test, apply the patch and view the following pages, confirming that
they look correct at various browser widths:

 - Tools -> MARC modification templates
   - View and edit templates
 - Tools -> Batch patron modification
   - Test each step of the process
 - Tools -> Overdue notice/status triggers
 - Tools -> Upload patron images
   - Test each step of the upload process
 - Tools -> Quote editor
   -> Quote uploader
     - Import quotes

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-10-27 14:27:33 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-11-08 15:25:07 UTC
Enhancement, will not be backported to 18.05.x series.